Skip to main content
Pure1 Support Portal

PowerShell SDK

Module

Release

Notes

PowerShell SDK

1.7.4.0

The Pure Storage PowerShell SDK leverages the REST API and wraps those APIs as PowerShell cmdlets.

New Features in 1.7.4.0

  • Adds support for IPv6 (when used with a FlashArray running Purity 4.9.0 or higher)
  • Requires a Purity Operating Environment that supports REST API 1.9 (Purity 4.9.0 or higher).

Requirements

  • Windows PowerShell 3.0 or higher.
  • .NET Framework 4.5.
  • Purity Operating Environments that support REST API 1.0, 1.1, 1.2, 1.3, 1.4, 1.5, 1.6 and 1.7.
  • 64-bit Windows Server or Client operating system.
  • This release requires an operating system that supports the TLS 1.1/1.2 protocols such as Windows 7 or higher and Windows Server 2008 R2 or higher.
Install Module
 

With the release of PowerShell SDK 1.5.x we have adopted the use of the PowerShell Gallery for installing the module. We will continue to provide the installer package (MSI) via GitHub but we encourage the use of the gallery for ease of deployment.